-- avangate_subscription table
CREATE INDEX avangate_subscriptions_subscriptionId_index ON avangate_subscriptions USING BTREE (subscriptionId);

-- comments table
CREATE INDEX comments_referedComment_index ON comments USING BTREE (referedComment);
CREATE INDEX comments_userId_index ON comments USING BTREE (userId);
CREATE INDEX comments_lastEditUserId_index ON comments USING BTREE (lastEditUserId);
CREATE INDEX comments_site_page_id_index ON comments USING BTREE (site_page_id);

-- comments_actions_history table
CREATE INDEX comments_actions_history_userId_index ON comments_actions_history USING BTREE (userId);
CREATE INDEX comments_actions_history_commentId_index ON comments_actions_history USING BTREE (commentId);

-- email_notifications table
CREATE INDEX email_notifications_userId_index ON email_notifications USING BTREE (userId);

-- page_views table
CREATE INDEX page_views_record_siteId_index ON page_views_record USING BTREE (siteId);
CREATE INDEX page_views_record_site_page_id_index ON page_views_record USING BTREE (site_page_id);
CREATE INDEX page_views_record_day_index ON page_views_record USING BTREE (day);
CREATE INDEX page_views_record_owner_index ON page_views_record USING BTREE (ownerId);

-- site_pages table
CREATE INDEX site_pages_versionId_index ON site_pages USING BTREE (versionId);

-- site_user_role
CREATE INDEX site_user_role_siteId_index ON site_user_role USING BTREE (siteId);
CREATE INDEX site_user_role_userId_index ON site_user_role USING BTREE (userId);