#!/bin/bash
PRG=$0
# Check OS
OS=`uname -s`
if [ "$OS" = "Darwin" ]
then
# OS X was detected
    cd "`dirname "$PRG"`"
    PRG=`basename "$PRG"`
    while [ -L "$PRG" ]
    do
        PRG="`readlink "$PRG"`"
        cd "`dirname "$PRG"`"
        PRG="`basename "$PRG"`"
    done
else
# Assuming is Linux
    while [ -h "$PRG" ]; do
        ls=`ls -ld "$PRG"`
        link=`expr "$ls" : '^.*-> \(.*\)$' 2>/dev/null`
        if expr "$link" : '^/' 2> /dev/null >/dev/null; then
            PRG="$link"
        else
            PRG="`dirname "$PRG"`/$link"
        fi
    done
fi
OXYGEN_FEEDBACK_HOME="`dirname "$PRG"`"
cd "$OXYGEN_FEEDBACK_HOME/../"
OXYGEN_FEEDBACK_HOME=`pwd`
JAR_FILE=oxygen-feedback.jar
JAR_PATH=$OXYGEN_FEEDBACK_HOME/$JAR_FILE
PID_PATH=$OXYGEN_FEEDBACK_HOME/pid.file
if [ -f "$JAR_PATH" ]; then
        if [ -f "$PID_PATH" ]; then
                # echo "Existing PID file found during start."
                FEEDBACK_COMMAND=`ps -p \`cat "$PID_PATH"\` -o pid,command`
                if [[ $FEEDBACK_COMMAND == *"oxygen-feedback.jar"* ]]; then
                        echo "Oxygen Feedback already running. Start aborted."
                        exit 1
                else
                        # echo "The following process is not an Oxygen Feedback process, removing the PID file..."
                        rm "$PID_PATH"
                        # echo "Start Oxygen Feedback"
                        java $@ -jar "$JAR_PATH" & echo $! > "$PID_PATH"
                fi
        else
            java $@ -jar "$JAR_PATH" & echo $! > "$PID_PATH"
        fi
else
    echo "The Oxygen Feedback JAR not found!"
fi